                  /*--.          .-"-. 
                 /   ._.        /  ` \
                 \_  (__\       \_v_/
                 //   \\        //   \\
                ((     ))      ((     ))
 --""---""----""---""--
                  |||            |||                                               
   Author's note:  |              |                                                
                                                                                   
   This file is part of work done by Emil Persson, aka Humus.                      
   You're free to use the code in any way you like, modified, unmodified           
   or cut'n'pasted into your own work. But for the good of the whole               
   programming community I will ask you to as long as possible and to the          
   extent you find suitable to follow these points:                                
    * If you use this file and it's contents unmodified, please leave this note.   
    * If you use a major part of the file in your app, please credit the author(s) 
      in one way or the other as you find suitable, for instance a small notice    
      in the readme file may do, or perhaps a link to the authors site.            
    * Share your work and ideas too as much as you can.                            
     _______                                                                       
   /` _____ `\;,    Humus                                                          
  (__(^===^)__)';,  emiper-8@student.luth.se                         ___           
    /  :::  \   ,;  ICQ #47010716                                  /^   ^\         
   |   :::   | ,;'                                                (     )        
 '._______.'`--oOo--(_)--oOo--*/

#ifndef _BUMPPOLYGON_H_
#define _BUMPPOLYGON_H_

#include "../Framework/Util/Polygon.h"

class BumpPolygon : public Polygon {
protected:
	bool drawn;
public:
	BumpPolygon(const int size) : Polygon(size){
		
	}

	void clearDrawnFlag(){ drawn = false; }
	void draw(Renderer *renderer, const Vertex &pos, const Vertex &lPos, const float worldSize);
	void drawDepth(Renderer *renderer, const Vertex &lPos, const float worldSize);
	void drawAmbient(Renderer *renderer);

	class Polygon *create(const int size) const;

};

class Polygon *bumpPolyCreator(const int size);

#endif // _BUMPPOLYGON_H_
